#
# Conditional build
%bcond_without  doc		# generated documentation
%bcond_without  static_libs	# static library
%bcond_without  tests		# unit tests
#
Summary:	A strictly RFC 3986 compliant URI parsing library
Summary(pl.UTF-8):	Biblioteka analizująca URI ściśle zgodne z RFC 3986
Name:		uriparser
Version:	0.9.8
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/uriparser/uriparser/releases
Source0:	https://github.com/uriparser/uriparser/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	64b8b3fead359b4bfb6aab8c307016ad
Patch0:		%{name}-doxygen.patch
URL:		https://uriparser.github.io/
BuildRequires:	cmake >= 3.5.0
%{?with_tests:BuildRequires:	gtest-devel >= 1.8.1-3}
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uriparser is a strictly RFC 3986 compliant URI parsing library.
uriparser is cross-platform, fast, supports Unicode.

%description -l pl.UTF-8
uriparser to biblioteka analizująca URI ściśle zgodne z RFC 3986. Jest
wieloplatformowa, szybka i obsługuje Unicode.

%package devel
Summary:	Header files for uriparser
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki uriparser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for uriparser.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki uriparser.

%package static
Summary:	Static uriparser library
Summary(pl.UTF-8):	Statyczna biblioteka uriparser
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static uriparser library.

%description static -l pl.UTF-8
Statyczna biblioteka uriparser.

%package apidocs
Summary:	API documentation for uriparser library
Summary(pl.UTF-8):	Dokumentacja API biblioteki uriparser
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for uriparser library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki uriparser.

%prep
%setup -q
%patch0 -p1

%build
%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF \
	-DURIPARSER_BUILD_DOCS=OFF \
	-DURIPARSER_BUILD_TESTS=OFF \
	-DURIPARSER_BUILD_TOOLS=OFF

%{__make}
cd ..
%endif

install -d build
cd build
%cmake .. \
	%{!?with_doc:-DURIPARSER_BUILD_DOCS=OFF} \
	%{!?with_tests:-DURIPARSER_BUILD_TESTS=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT

# make export files directory clean before shared lib install
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/cmake
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/html
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog GOALS.txt README.md THANKS TODO.txt
%attr(755,root,root) %{_bindir}/uriparse
%attr(755,root,root) %{_libdir}/liburiparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburiparser.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburiparser.so
%{_includedir}/uriparser
%{_libdir}/cmake/uriparser-%{version}
%{_pkgconfigdir}/liburiparser.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liburiparser.a
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/html/{search,*.css,*.html,*.js,*.png}
%endif
%changelog
* Wed May 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uriparser.git;a=log;h=master

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 88f8310
- fix cmake configs packaging, release 2

* Mon May 06 2024 Jan Palus <atler@pld-linux.org> 531e58a
- up to 0.9.8 (fixes CVE-2024-34402 CVE-2024-34403)

* Fri Oct 07 2022 Jakub Bogusz <qboosh@pld-linux.org> a581105
- separated -apidocs

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> be4007a
- up to 0.9.7

* Sat Jan 08 2022 Jan Palus <atler@pld-linux.org> d28fb13
- macros for %cmake

* Sat Jan 08 2022 Jan Palus <atler@pld-linux.org> cf2fc77
- up to 0.9.6 (fixes CVE-2021-46141 CVE-2021-46142)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 22b837c
- rebuild with separate debuginfo build-ids

* Thu Mar 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 08e14ed
- updated to 0.9.5
- updated doxygen patch

* Fri Jun 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 8e16427
- updated to 0.9.4

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 49e0eae
- updated to 0.9.3, now uses cmake

* Tue Jan 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 8a5343b
- updated to 0.9.1 (security fixes)

* Sat Oct 27 2018 Jakub Bogusz <qboosh@pld-linux.org> e910c8c
- updated to 0.9.0 (security fixes)

* Tue Sep 25 2018 Jakub Bogusz <qboosh@pld-linux.org> b75c4ba
- updated to 0.8.6 (includes crash fix)

* Sat Feb 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 64a3b2d
- new URLs, updated to 0.8.5
- updated doxygen patch

* Wed Oct 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 811af47
- updated to 0.8.4
- added doxygen patch (fix install with docs generated by recent doxygen)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 86c096b
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 79b6d58
- added THANKS to doc

* Mon Dec 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 61f6661
- updated to 0.8.1

* Wed Jan 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 453061d
- generated api doc made optional and moved to -devel

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 4419e3d
- revised BRs

